# $Id: smeserver-ejabberd.spec,v 1.26 2011/01/02 21:28:33 gnujpl Exp $
# Authority: gnujpl
# Name: Jean-Paul Leclère

Summary: SME Server ejabberd Jabber service
%define name smeserver-ejabberd
Name: %{name}
%define version 2.0.1
%define release 18

Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-ejabberd-2.0.1-locale-2008-07-01.patch
Patch2: smeserver-ejabberd-2.0.1-locale-2008-10-14.patch
Patch3: smeserver-ejabberd-2.0.1-locale-2008-10-16.patch
Patch4: smeserver-ejabberd-2.0.1-locale-2008-11-19.patch
Patch5: smeserver-ejabberd-2.0.1-locale-2008-11-30.patch
Patch6: smeserver-ejabberd-2.0.1-locale-2009-01-01.patch
Patch7: smeserver-ejabberd-2.0.1-locale-2009-01-31.patch
Patch8: smeserver-ejabberd-2.0.1-locale-2009-03-01.patch
Patch9: smeserver-ejabberd-2.0.1-locale-2009-03-03.patch
Patch10: smeserver-ejabberd-2.0.1-locale-2009-04-27.patch
Patch11: smeserver-ejabberd-2.0.1-locale-2009-05-20.patch
Patch12: smeserver-ejabberd-2.0.1-locale-2009-08-24.patch
Patch13: smeserver-ejabberd-2.0.1-locale-2009-10-21.patch
Patch14: smeserver-ejabberd-2.0.1-locale-2009-10-27.patch
Patch15: smeserver-ejabberd-2.0.1-locale-2010-03-02.patch
Patch16: smeserver-ejabberd-2.0.1-locale-2010-05-23.patch
Patch17: smeserver-ejabberd-2.0.1-mod_admin_extra.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools >= 1.7.5
Requires: ejabberd >= 2.0.1
Requires: e-smith-formmagick >= 1.4.0-12
Obsoletes: e-smith-jabber
AutoReqProv: no

%changelog
* Sun Jan 2 2011 Jean-Paul Leclere <jean-paul@leclere.org> 2.0.1-18.sme
- add mod_admin_extra support (see Bug 6462)

* Sun May 23 2010 SME Translation Server <translations@contribs.org> 2.0.1-17.sme
- apply locale 2010-05-23 patch

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 2.0.1-16.sme
- apply locale 2010-03-02 patch

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 2.0.1-15.sme
- apply locale 2009-10-27 patch

* Wed Oct 21 2009 SME Translation Server <translations@contribs.org> 2.0.1-14.sme
- apply locale 2009-10-21 patch

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 2.0.1-13.sme
- apply locale 2009-08-24 patch

* Wed May 20 2009 SME Translation Server <translations@contribs.org> 2.0.1-12.sme
- apply locale 2009-05-20 patch

* Mon Apr 27 2009 SME Translation Server <translations@contribs.org> 2.0.1-11.sme
- apply locale 2009-04-27 patch

* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Sun Mar  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0.1-9
- Apply  1 Mar 2009 locale patch [SME: 5018]

* Sat Jan 31 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0.1-8
- Apply 31 Jan 2009 locale patch [SME: 4951]

* Thu Jan  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0.1-7
- Apply  1 Jan 2009 locale patch [SME: 4900]

* Sun Nov 30 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0.1-6
- Apply 30 Nov 2008 locale patch

* Wed Nov 19 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0.1-5
- Apply 19 Nov 2008 locale patch

* Thu Oct 16 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0.1-4
- Apply 16 Oct 2008 locale patch

* Tue Oct 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0.1-3
- Apply 14 Oct 2008 locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0.1-2
- Apply 1 July 2008 locale patch

* Fri Jun 27 2008 Jean-Paul Leclere <jean-paul@leclere.org> 2.0.1-1
- update for ejabberd >= 2.0.1
- disable polling (thanks to Daniel Berteaud)

* Fri Jun 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0.0-5
- Apply 27 Jun 2008 locale patch
- Added missing dependency on e-smith-formmagick >= 1.4.0-12

* Sun Jun 22 2008 Jean-Paul Leclere <jean-paul@leclere.org> 2.0.0-4
- use new ejabberd ssl cert file in /var/service/ejabberd/ssl
- sync ejabberd cert file with SME cert file

* Thu May 22 2008 Jean-Paul Leclere <jean-paul@leclere.org> 2.0.0-3
- no more use /opt 
- use SME server ssl certs
- db migrate process

* Thu May 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.0.0-2
- Apply 21 May 2008 locale patch

* Wed May 14 2008 Jean-Paul Leclere <jean-paul@leclere.org> 2.0.0-1
- bump to ejabberd 2.0.0 
- no more contains ejabberd Process-One binary installer (due to GPL violation)
- use smecontribs ejabberd rpm

* Thu Apr 24 2008 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-5
- convert fr locale to UTF-8

* Wed Oct 17 2007 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-5
- fix another bug for starttls in ejabberd.cfg template

* Tue Oct 16 2007 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-4
- fix bug for starttls in ejabberd.cfg template

* Sun Oct 14 2007 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-3
- modify ejabberd.cfg template for ejabberd services add-ons

* Sat Oct 6 2007 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-2
- fix bug in ejabberd.cfg template for users acls
- add more ejabberd restarting events
- add more ejabberd.cfg generation events

* Sun Sep 30 2007 Jean-Paul Leclere <jean-paul@leclere.org> 1.1.4-1
- Initial Release with ejabberd 1.1.4

%description
SME Server implementation of ejabberd XMPP server

%pre

%preun
if [ $1 -eq 0 ]; then
# remove, not upgrade
/sbin/e-smith/db configuration delete ejabberd
/sbin/e-smith/db configuration delete ejabberd.init
/usr/bin/sv down /service/ejabberd
/usr/lib/erlang/bin/epmd -kill
cd /service/ejabberd
rm /service/ejabberd
/usr/bin/sv exit . log
fi
exit 0

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir '/var/service/ejabberd' 'attr(1755,root,root)' \
    --file '/var/service/ejabberd/down' 'attr(0644,root,root)' \
    --file '/var/service/ejabberd/run' 'attr(0755,root,root)' \
    --dir '/var/service/ejabberd/supervise' 'attr(0700,root,root)' \
    --file '/var/service/ejabberd/control/2' 'attr(0755,root,root)' \
    --dir '/var/service/ejabberd/log' 'attr(1755,root,root)' \
    --file '/var/service/ejabberd/log/run' 'attr(0755,root,root)' \
    --dir '/var/service/ejabberd/log/supervise' 'attr(0700,root,root)' \
    --dir '/var/log/ejabberd' 'attr(0750,ejabberd,ejabberd)' \
    --dir '/var/log/ejabberd.run' 'attr(0750,smelog,root)' \
     > %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post
mkdir -p /var/service/ejabberd/ssl

%postun

%files -f %{name}-%{version}-%{release}-filelist 
%defattr(-,root,root)
